<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for excluirPedidoExameWsVo StructType
 * @subpackage Structs
 */
class ExcluirPedidoExameWsVo extends AbstractStructBase
{
    /**
     * The identificacaoWsVo
     * @var \StructType\IdentificacaoUsuarioWsVo
     */
    public $identificacaoWsVo;
    /**
     * The tipoBuscaEmpresa
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $tipoBuscaEmpresa;
    /**
     * The tipoBuscaFuncionario
     * @var string
     */
    public $tipoBuscaFuncionario;
    /**
     * The codigoEmpresa
     * @var string
     */
    public $codigoEmpresa;
    /**
     * The codigoFuncionario
     * @var string
     */
    public $codigoFuncionario;
    /**
     * The dataFicha
     * @var string
     */
    public $dataFicha;
    /**
     * The tipoExame
     * @var string
     */
    public $tipoExame;
    /**
     * The codigoExame
     * @var string
     */
    public $codigoExame;
    /**
     * The excluirFichaSemExames
     * @var bool
     */
    public $excluirFichaSemExames;
    /**
     * Constructor method for excluirPedidoExameWsVo
     * @uses ExcluirPedidoExameWsVo::setIdentificacaoWsVo()
     * @uses ExcluirPedidoExameWsVo::setTipoBuscaEmpresa()
     * @uses ExcluirPedidoExameWsVo::setTipoBuscaFuncionario()
     * @uses ExcluirPedidoExameWsVo::setCodigoEmpresa()
     * @uses ExcluirPedidoExameWsVo::setCodigoFuncionario()
     * @uses ExcluirPedidoExameWsVo::setDataFicha()
     * @uses ExcluirPedidoExameWsVo::setTipoExame()
     * @uses ExcluirPedidoExameWsVo::setCodigoExame()
     * @uses ExcluirPedidoExameWsVo::setExcluirFichaSemExames()
     * @param \StructType\IdentificacaoUsuarioWsVo $identificacaoWsVo
     * @param string $tipoBuscaEmpresa
     * @param string $tipoBuscaFuncionario
     * @param string $codigoEmpresa
     * @param string $codigoFuncionario
     * @param string $dataFicha
     * @param string $tipoExame
     * @param string $codigoExame
     * @param bool $excluirFichaSemExames
     */
    public function __construct(\StructType\IdentificacaoUsuarioWsVo $identificacaoWsVo = null, $tipoBuscaEmpresa = null, $tipoBuscaFuncionario = null, $codigoEmpresa = null, $codigoFuncionario = null, $dataFicha = null, $tipoExame = null, $codigoExame = null, $excluirFichaSemExames = null)
    {
        $this
            ->setIdentificacaoWsVo($identificacaoWsVo)
            ->setTipoBuscaEmpresa($tipoBuscaEmpresa)
            ->setTipoBuscaFuncionario($tipoBuscaFuncionario)
            ->setCodigoEmpresa($codigoEmpresa)
            ->setCodigoFuncionario($codigoFuncionario)
            ->setDataFicha($dataFicha)
            ->setTipoExame($tipoExame)
            ->setCodigoExame($codigoExame)
            ->setExcluirFichaSemExames($excluirFichaSemExames);
    }
    /**
     * Get identificacaoWsVo value
     * @return \StructType\IdentificacaoUsuarioWsVo|null
     */
    public function getIdentificacaoWsVo()
    {
        return $this->identificacaoWsVo;
    }
    /**
     * Set identificacaoWsVo value
     * @param \StructType\IdentificacaoUsuarioWsVo $identificacaoWsVo
     * @return \StructType\ExcluirPedidoExameWsVo
     */
    public function setIdentificacaoWsVo(\StructType\IdentificacaoUsuarioWsVo $identificacaoWsVo = null)
    {
        $this->identificacaoWsVo = $identificacaoWsVo;
        return $this;
    }
    /**
     * Get tipoBuscaEmpresa value
     * @return string|null
     */
    public function getTipoBuscaEmpresa()
    {
        return $this->tipoBuscaEmpresa;
    }
    /**
     * Set tipoBuscaEmpresa value
     * @uses \EnumType\TipoBuscaEmpresaEnum::valueIsValid()
     * @uses \EnumType\TipoBuscaEmpresaEnum::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $tipoBuscaEmpresa
     * @return \StructType\ExcluirPedidoExameWsVo
     */
    public function setTipoBuscaEmpresa($tipoBuscaEmpresa = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\TipoBuscaEmpresaEnum::valueIsValid($tipoBuscaEmpresa)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\TipoBuscaEmpresaEnum', is_array($tipoBuscaEmpresa) ? implode(', ', $tipoBuscaEmpresa) : var_export($tipoBuscaEmpresa, true), implode(', ', \EnumType\TipoBuscaEmpresaEnum::getValidValues())), __LINE__);
        }
        $this->tipoBuscaEmpresa = $tipoBuscaEmpresa;
        return $this;
    }
    /**
     * Get tipoBuscaFuncionario value
     * @return string|null
     */
    public function getTipoBuscaFuncionario()
    {
        return $this->tipoBuscaFuncionario;
    }
    /**
     * Set tipoBuscaFuncionario value
     * @uses \EnumType\TipoBuscaFuncionario::valueIsValid()
     * @uses \EnumType\TipoBuscaFuncionario::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $tipoBuscaFuncionario
     * @return \StructType\ExcluirPedidoExameWsVo
     */
    public function setTipoBuscaFuncionario($tipoBuscaFuncionario = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\TipoBuscaFuncionario::valueIsValid($tipoBuscaFuncionario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\TipoBuscaFuncionario', is_array($tipoBuscaFuncionario) ? implode(', ', $tipoBuscaFuncionario) : var_export($tipoBuscaFuncionario, true), implode(', ', \EnumType\TipoBuscaFuncionario::getValidValues())), __LINE__);
        }
        $this->tipoBuscaFuncionario = $tipoBuscaFuncionario;
        return $this;
    }
    /**
     * Get codigoEmpresa value
     * @return string|null
     */
    public function getCodigoEmpresa()
    {
        return $this->codigoEmpresa;
    }
    /**
     * Set codigoEmpresa value
     * @param string $codigoEmpresa
     * @return \StructType\ExcluirPedidoExameWsVo
     */
    public function setCodigoEmpresa($codigoEmpresa = null)
    {
        // validation for constraint: string
        if (!is_null($codigoEmpresa) && !is_string($codigoEmpresa)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($codigoEmpresa, true), gettype($codigoEmpresa)), __LINE__);
        }
        $this->codigoEmpresa = $codigoEmpresa;
        return $this;
    }
    /**
     * Get codigoFuncionario value
     * @return string|null
     */
    public function getCodigoFuncionario()
    {
        return $this->codigoFuncionario;
    }
    /**
     * Set codigoFuncionario value
     * @param string $codigoFuncionario
     * @return \StructType\ExcluirPedidoExameWsVo
     */
    public function setCodigoFuncionario($codigoFuncionario = null)
    {
        // validation for constraint: string
        if (!is_null($codigoFuncionario) && !is_string($codigoFuncionario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($codigoFuncionario, true), gettype($codigoFuncionario)), __LINE__);
        }
        $this->codigoFuncionario = $codigoFuncionario;
        return $this;
    }
    /**
     * Get dataFicha value
     * @return string|null
     */
    public function getDataFicha()
    {
        return $this->dataFicha;
    }
    /**
     * Set dataFicha value
     * @param string $dataFicha
     * @return \StructType\ExcluirPedidoExameWsVo
     */
    public function setDataFicha($dataFicha = null)
    {
        // validation for constraint: string
        if (!is_null($dataFicha) && !is_string($dataFicha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dataFicha, true), gettype($dataFicha)), __LINE__);
        }
        $this->dataFicha = $dataFicha;
        return $this;
    }
    /**
     * Get tipoExame value
     * @return string|null
     */
    public function getTipoExame()
    {
        return $this->tipoExame;
    }
    /**
     * Set tipoExame value
     * @param string $tipoExame
     * @return \StructType\ExcluirPedidoExameWsVo
     */
    public function setTipoExame($tipoExame = null)
    {
        // validation for constraint: string
        if (!is_null($tipoExame) && !is_string($tipoExame)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tipoExame, true), gettype($tipoExame)), __LINE__);
        }
        $this->tipoExame = $tipoExame;
        return $this;
    }
    /**
     * Get codigoExame value
     * @return string|null
     */
    public function getCodigoExame()
    {
        return $this->codigoExame;
    }
    /**
     * Set codigoExame value
     * @param string $codigoExame
     * @return \StructType\ExcluirPedidoExameWsVo
     */
    public function setCodigoExame($codigoExame = null)
    {
        // validation for constraint: string
        if (!is_null($codigoExame) && !is_string($codigoExame)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($codigoExame, true), gettype($codigoExame)), __LINE__);
        }
        $this->codigoExame = $codigoExame;
        return $this;
    }
    /**
     * Get excluirFichaSemExames value
     * @return bool|null
     */
    public function getExcluirFichaSemExames()
    {
        return $this->excluirFichaSemExames;
    }
    /**
     * Set excluirFichaSemExames value
     * @param bool $excluirFichaSemExames
     * @return \StructType\ExcluirPedidoExameWsVo
     */
    public function setExcluirFichaSemExames($excluirFichaSemExames = null)
    {
        // validation for constraint: boolean
        if (!is_null($excluirFichaSemExames) && !is_bool($excluirFichaSemExames)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($excluirFichaSemExames, true), gettype($excluirFichaSemExames)), __LINE__);
        }
        $this->excluirFichaSemExames = $excluirFichaSemExames;
        return $this;
    }
}
