<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PedidoExameResponseWsVo StructType
 * @subpackage Structs
 */
class PedidoExameResponseWsVo extends AbstractStructBase
{
    /**
     * The tipoBuscaEmpresa
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $tipoBuscaEmpresa;
    /**
     * The codigoEmpresa
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $codigoEmpresa;
    /**
     * The tipoBuscaFuncionario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $tipoBuscaFuncionario;
    /**
     * The codigoFuncionario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $codigoFuncionario;
    /**
     * The dataFicha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dataFicha;
    /**
     * The tipoExame
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $tipoExame;
    /**
     * The exames
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\PedidoExamesListaWsVo
     */
    public $exames;
    /**
     * The tipoBuscaMedico
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $tipoBuscaMedico;
    /**
     * The codigoMedico
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $codigoMedico;
    /**
     * The sequencialFicha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $sequencialFicha;
    /**
     * The campoString01
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $campoString01;
    /**
     * Constructor method for PedidoExameResponseWsVo
     * @uses PedidoExameResponseWsVo::setTipoBuscaEmpresa()
     * @uses PedidoExameResponseWsVo::setCodigoEmpresa()
     * @uses PedidoExameResponseWsVo::setTipoBuscaFuncionario()
     * @uses PedidoExameResponseWsVo::setCodigoFuncionario()
     * @uses PedidoExameResponseWsVo::setDataFicha()
     * @uses PedidoExameResponseWsVo::setTipoExame()
     * @uses PedidoExameResponseWsVo::setExames()
     * @uses PedidoExameResponseWsVo::setTipoBuscaMedico()
     * @uses PedidoExameResponseWsVo::setCodigoMedico()
     * @uses PedidoExameResponseWsVo::setSequencialFicha()
     * @uses PedidoExameResponseWsVo::setCampoString01()
     * @param string $tipoBuscaEmpresa
     * @param string $codigoEmpresa
     * @param string $tipoBuscaFuncionario
     * @param string $codigoFuncionario
     * @param string $dataFicha
     * @param string $tipoExame
     * @param \StructType\PedidoExamesListaWsVo $exames
     * @param string $tipoBuscaMedico
     * @param string $codigoMedico
     * @param string $sequencialFicha
     * @param string $campoString01
     */
    public function __construct($tipoBuscaEmpresa = null, $codigoEmpresa = null, $tipoBuscaFuncionario = null, $codigoFuncionario = null, $dataFicha = null, $tipoExame = null, \StructType\PedidoExamesListaWsVo $exames = null, $tipoBuscaMedico = null, $codigoMedico = null, $sequencialFicha = null, $campoString01 = null)
    {
        $this
            ->setTipoBuscaEmpresa($tipoBuscaEmpresa)
            ->setCodigoEmpresa($codigoEmpresa)
            ->setTipoBuscaFuncionario($tipoBuscaFuncionario)
            ->setCodigoFuncionario($codigoFuncionario)
            ->setDataFicha($dataFicha)
            ->setTipoExame($tipoExame)
            ->setExames($exames)
            ->setTipoBuscaMedico($tipoBuscaMedico)
            ->setCodigoMedico($codigoMedico)
            ->setSequencialFicha($sequencialFicha)
            ->setCampoString01($campoString01);
    }
    /**
     * Get tipoBuscaEmpresa value
     * @return string|null
     */
    public function getTipoBuscaEmpresa()
    {
        return $this->tipoBuscaEmpresa;
    }
    /**
     * Set tipoBuscaEmpresa value
     * @uses \EnumType\TipoBuscaEmpresaEnum::valueIsValid()
     * @uses \EnumType\TipoBuscaEmpresaEnum::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $tipoBuscaEmpresa
     * @return \StructType\PedidoExameResponseWsVo
     */
    public function setTipoBuscaEmpresa($tipoBuscaEmpresa = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\TipoBuscaEmpresaEnum::valueIsValid($tipoBuscaEmpresa)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\TipoBuscaEmpresaEnum', is_array($tipoBuscaEmpresa) ? implode(', ', $tipoBuscaEmpresa) : var_export($tipoBuscaEmpresa, true), implode(', ', \EnumType\TipoBuscaEmpresaEnum::getValidValues())), __LINE__);
        }
        $this->tipoBuscaEmpresa = $tipoBuscaEmpresa;
        return $this;
    }
    /**
     * Get codigoEmpresa value
     * @return string|null
     */
    public function getCodigoEmpresa()
    {
        return $this->codigoEmpresa;
    }
    /**
     * Set codigoEmpresa value
     * @param string $codigoEmpresa
     * @return \StructType\PedidoExameResponseWsVo
     */
    public function setCodigoEmpresa($codigoEmpresa = null)
    {
        // validation for constraint: string
        if (!is_null($codigoEmpresa) && !is_string($codigoEmpresa)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($codigoEmpresa, true), gettype($codigoEmpresa)), __LINE__);
        }
        $this->codigoEmpresa = $codigoEmpresa;
        return $this;
    }
    /**
     * Get tipoBuscaFuncionario value
     * @return string|null
     */
    public function getTipoBuscaFuncionario()
    {
        return $this->tipoBuscaFuncionario;
    }
    /**
     * Set tipoBuscaFuncionario value
     * @uses \EnumType\BuscaFuncionario::valueIsValid()
     * @uses \EnumType\BuscaFuncionario::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $tipoBuscaFuncionario
     * @return \StructType\PedidoExameResponseWsVo
     */
    public function setTipoBuscaFuncionario($tipoBuscaFuncionario = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\BuscaFuncionario::valueIsValid($tipoBuscaFuncionario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\BuscaFuncionario', is_array($tipoBuscaFuncionario) ? implode(', ', $tipoBuscaFuncionario) : var_export($tipoBuscaFuncionario, true), implode(', ', \EnumType\BuscaFuncionario::getValidValues())), __LINE__);
        }
        $this->tipoBuscaFuncionario = $tipoBuscaFuncionario;
        return $this;
    }
    /**
     * Get codigoFuncionario value
     * @return string|null
     */
    public function getCodigoFuncionario()
    {
        return $this->codigoFuncionario;
    }
    /**
     * Set codigoFuncionario value
     * @param string $codigoFuncionario
     * @return \StructType\PedidoExameResponseWsVo
     */
    public function setCodigoFuncionario($codigoFuncionario = null)
    {
        // validation for constraint: string
        if (!is_null($codigoFuncionario) && !is_string($codigoFuncionario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($codigoFuncionario, true), gettype($codigoFuncionario)), __LINE__);
        }
        $this->codigoFuncionario = $codigoFuncionario;
        return $this;
    }
    /**
     * Get dataFicha value
     * @return string|null
     */
    public function getDataFicha()
    {
        return $this->dataFicha;
    }
    /**
     * Set dataFicha value
     * @param string $dataFicha
     * @return \StructType\PedidoExameResponseWsVo
     */
    public function setDataFicha($dataFicha = null)
    {
        // validation for constraint: string
        if (!is_null($dataFicha) && !is_string($dataFicha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dataFicha, true), gettype($dataFicha)), __LINE__);
        }
        $this->dataFicha = $dataFicha;
        return $this;
    }
    /**
     * Get tipoExame value
     * @return string|null
     */
    public function getTipoExame()
    {
        return $this->tipoExame;
    }
    /**
     * Set tipoExame value
     * @param string $tipoExame
     * @return \StructType\PedidoExameResponseWsVo
     */
    public function setTipoExame($tipoExame = null)
    {
        // validation for constraint: string
        if (!is_null($tipoExame) && !is_string($tipoExame)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tipoExame, true), gettype($tipoExame)), __LINE__);
        }
        $this->tipoExame = $tipoExame;
        return $this;
    }
    /**
     * Get exames value
     * @return \StructType\PedidoExamesListaWsVo|null
     */
    public function getExames()
    {
        return $this->exames;
    }
    /**
     * Set exames value
     * @param \StructType\PedidoExamesListaWsVo $exames
     * @return \StructType\PedidoExameResponseWsVo
     */
    public function setExames(\StructType\PedidoExamesListaWsVo $exames = null)
    {
        $this->exames = $exames;
        return $this;
    }
    /**
     * Get tipoBuscaMedico value
     * @return string|null
     */
    public function getTipoBuscaMedico()
    {
        return $this->tipoBuscaMedico;
    }
    /**
     * Set tipoBuscaMedico value
     * @uses \EnumType\TipoBuscaEnum::valueIsValid()
     * @uses \EnumType\TipoBuscaEnum::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $tipoBuscaMedico
     * @return \StructType\PedidoExameResponseWsVo
     */
    public function setTipoBuscaMedico($tipoBuscaMedico = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\TipoBuscaEnum::valueIsValid($tipoBuscaMedico)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\TipoBuscaEnum', is_array($tipoBuscaMedico) ? implode(', ', $tipoBuscaMedico) : var_export($tipoBuscaMedico, true), implode(', ', \EnumType\TipoBuscaEnum::getValidValues())), __LINE__);
        }
        $this->tipoBuscaMedico = $tipoBuscaMedico;
        return $this;
    }
    /**
     * Get codigoMedico value
     * @return string|null
     */
    public function getCodigoMedico()
    {
        return $this->codigoMedico;
    }
    /**
     * Set codigoMedico value
     * @param string $codigoMedico
     * @return \StructType\PedidoExameResponseWsVo
     */
    public function setCodigoMedico($codigoMedico = null)
    {
        // validation for constraint: string
        if (!is_null($codigoMedico) && !is_string($codigoMedico)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($codigoMedico, true), gettype($codigoMedico)), __LINE__);
        }
        $this->codigoMedico = $codigoMedico;
        return $this;
    }
    /**
     * Get sequencialFicha value
     * @return string|null
     */
    public function getSequencialFicha()
    {
        return $this->sequencialFicha;
    }
    /**
     * Set sequencialFicha value
     * @param string $sequencialFicha
     * @return \StructType\PedidoExameResponseWsVo
     */
    public function setSequencialFicha($sequencialFicha = null)
    {
        // validation for constraint: string
        if (!is_null($sequencialFicha) && !is_string($sequencialFicha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sequencialFicha, true), gettype($sequencialFicha)), __LINE__);
        }
        $this->sequencialFicha = $sequencialFicha;
        return $this;
    }
    /**
     * Get campoString01 value
     * @return string|null
     */
    public function getCampoString01()
    {
        return $this->campoString01;
    }
    /**
     * Set campoString01 value
     * @param string $campoString01
     * @return \StructType\PedidoExameResponseWsVo
     */
    public function setCampoString01($campoString01 = null)
    {
        // validation for constraint: string
        if (!is_null($campoString01) && !is_string($campoString01)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($campoString01, true), gettype($campoString01)), __LINE__);
        }
        $this->campoString01 = $campoString01;
        return $this;
    }
}
