<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for resultadoExamesFichaClinicaWsVo StructType
 * @subpackage Structs
 */
class ResultadoExamesFichaClinicaWsVo extends AbstractStructBase
{
    /**
     * The altura
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $altura;
    /**
     * The biotipo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $biotipo;
    /**
     * The codigoMedicoFichaClinica
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $codigoMedicoFichaClinica;
    /**
     * The frequenciaPulso
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $frequenciaPulso;
    /**
     * The frequenciaRespiratoria
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $frequenciaRespiratoria;
    /**
     * The perimetroCintura
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $perimetroCintura;
    /**
     * The perimetroQualdril
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $perimetroQualdril;
    /**
     * The peso
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $peso;
    /**
     * The pressaoMaxima
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $pressaoMaxima;
    /**
     * The pressaoMinima
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $pressaoMinima;
    /**
     * The temperatura
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $temperatura;
    /**
     * The textoLivreSinaisVitais
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $textoLivreSinaisVitais;
    /**
     * Constructor method for resultadoExamesFichaClinicaWsVo
     * @uses ResultadoExamesFichaClinicaWsVo::setAltura()
     * @uses ResultadoExamesFichaClinicaWsVo::setBiotipo()
     * @uses ResultadoExamesFichaClinicaWsVo::setCodigoMedicoFichaClinica()
     * @uses ResultadoExamesFichaClinicaWsVo::setFrequenciaPulso()
     * @uses ResultadoExamesFichaClinicaWsVo::setFrequenciaRespiratoria()
     * @uses ResultadoExamesFichaClinicaWsVo::setPerimetroCintura()
     * @uses ResultadoExamesFichaClinicaWsVo::setPerimetroQualdril()
     * @uses ResultadoExamesFichaClinicaWsVo::setPeso()
     * @uses ResultadoExamesFichaClinicaWsVo::setPressaoMaxima()
     * @uses ResultadoExamesFichaClinicaWsVo::setPressaoMinima()
     * @uses ResultadoExamesFichaClinicaWsVo::setTemperatura()
     * @uses ResultadoExamesFichaClinicaWsVo::setTextoLivreSinaisVitais()
     * @param string $altura
     * @param string $biotipo
     * @param string $codigoMedicoFichaClinica
     * @param string $frequenciaPulso
     * @param string $frequenciaRespiratoria
     * @param string $perimetroCintura
     * @param string $perimetroQualdril
     * @param string $peso
     * @param string $pressaoMaxima
     * @param string $pressaoMinima
     * @param string $temperatura
     * @param string $textoLivreSinaisVitais
     */
    public function __construct($altura = null, $biotipo = null, $codigoMedicoFichaClinica = null, $frequenciaPulso = null, $frequenciaRespiratoria = null, $perimetroCintura = null, $perimetroQualdril = null, $peso = null, $pressaoMaxima = null, $pressaoMinima = null, $temperatura = null, $textoLivreSinaisVitais = null)
    {
        $this
            ->setAltura($altura)
            ->setBiotipo($biotipo)
            ->setCodigoMedicoFichaClinica($codigoMedicoFichaClinica)
            ->setFrequenciaPulso($frequenciaPulso)
            ->setFrequenciaRespiratoria($frequenciaRespiratoria)
            ->setPerimetroCintura($perimetroCintura)
            ->setPerimetroQualdril($perimetroQualdril)
            ->setPeso($peso)
            ->setPressaoMaxima($pressaoMaxima)
            ->setPressaoMinima($pressaoMinima)
            ->setTemperatura($temperatura)
            ->setTextoLivreSinaisVitais($textoLivreSinaisVitais);
    }
    /**
     * Get altura value
     * @return string|null
     */
    public function getAltura()
    {
        return $this->altura;
    }
    /**
     * Set altura value
     * @param string $altura
     * @return \StructType\ResultadoExamesFichaClinicaWsVo
     */
    public function setAltura($altura = null)
    {
        // validation for constraint: string
        if (!is_null($altura) && !is_string($altura)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($altura, true), gettype($altura)), __LINE__);
        }
        $this->altura = $altura;
        return $this;
    }
    /**
     * Get biotipo value
     * @return string|null
     */
    public function getBiotipo()
    {
        return $this->biotipo;
    }
    /**
     * Set biotipo value
     * @param string $biotipo
     * @return \StructType\ResultadoExamesFichaClinicaWsVo
     */
    public function setBiotipo($biotipo = null)
    {
        // validation for constraint: string
        if (!is_null($biotipo) && !is_string($biotipo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($biotipo, true), gettype($biotipo)), __LINE__);
        }
        $this->biotipo = $biotipo;
        return $this;
    }
    /**
     * Get codigoMedicoFichaClinica value
     * @return string|null
     */
    public function getCodigoMedicoFichaClinica()
    {
        return $this->codigoMedicoFichaClinica;
    }
    /**
     * Set codigoMedicoFichaClinica value
     * @param string $codigoMedicoFichaClinica
     * @return \StructType\ResultadoExamesFichaClinicaWsVo
     */
    public function setCodigoMedicoFichaClinica($codigoMedicoFichaClinica = null)
    {
        // validation for constraint: string
        if (!is_null($codigoMedicoFichaClinica) && !is_string($codigoMedicoFichaClinica)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($codigoMedicoFichaClinica, true), gettype($codigoMedicoFichaClinica)), __LINE__);
        }
        $this->codigoMedicoFichaClinica = $codigoMedicoFichaClinica;
        return $this;
    }
    /**
     * Get frequenciaPulso value
     * @return string|null
     */
    public function getFrequenciaPulso()
    {
        return $this->frequenciaPulso;
    }
    /**
     * Set frequenciaPulso value
     * @param string $frequenciaPulso
     * @return \StructType\ResultadoExamesFichaClinicaWsVo
     */
    public function setFrequenciaPulso($frequenciaPulso = null)
    {
        // validation for constraint: string
        if (!is_null($frequenciaPulso) && !is_string($frequenciaPulso)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($frequenciaPulso, true), gettype($frequenciaPulso)), __LINE__);
        }
        $this->frequenciaPulso = $frequenciaPulso;
        return $this;
    }
    /**
     * Get frequenciaRespiratoria value
     * @return string|null
     */
    public function getFrequenciaRespiratoria()
    {
        return $this->frequenciaRespiratoria;
    }
    /**
     * Set frequenciaRespiratoria value
     * @param string $frequenciaRespiratoria
     * @return \StructType\ResultadoExamesFichaClinicaWsVo
     */
    public function setFrequenciaRespiratoria($frequenciaRespiratoria = null)
    {
        // validation for constraint: string
        if (!is_null($frequenciaRespiratoria) && !is_string($frequenciaRespiratoria)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($frequenciaRespiratoria, true), gettype($frequenciaRespiratoria)), __LINE__);
        }
        $this->frequenciaRespiratoria = $frequenciaRespiratoria;
        return $this;
    }
    /**
     * Get perimetroCintura value
     * @return string|null
     */
    public function getPerimetroCintura()
    {
        return $this->perimetroCintura;
    }
    /**
     * Set perimetroCintura value
     * @param string $perimetroCintura
     * @return \StructType\ResultadoExamesFichaClinicaWsVo
     */
    public function setPerimetroCintura($perimetroCintura = null)
    {
        // validation for constraint: string
        if (!is_null($perimetroCintura) && !is_string($perimetroCintura)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($perimetroCintura, true), gettype($perimetroCintura)), __LINE__);
        }
        $this->perimetroCintura = $perimetroCintura;
        return $this;
    }
    /**
     * Get perimetroQualdril value
     * @return string|null
     */
    public function getPerimetroQualdril()
    {
        return $this->perimetroQualdril;
    }
    /**
     * Set perimetroQualdril value
     * @param string $perimetroQualdril
     * @return \StructType\ResultadoExamesFichaClinicaWsVo
     */
    public function setPerimetroQualdril($perimetroQualdril = null)
    {
        // validation for constraint: string
        if (!is_null($perimetroQualdril) && !is_string($perimetroQualdril)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($perimetroQualdril, true), gettype($perimetroQualdril)), __LINE__);
        }
        $this->perimetroQualdril = $perimetroQualdril;
        return $this;
    }
    /**
     * Get peso value
     * @return string|null
     */
    public function getPeso()
    {
        return $this->peso;
    }
    /**
     * Set peso value
     * @param string $peso
     * @return \StructType\ResultadoExamesFichaClinicaWsVo
     */
    public function setPeso($peso = null)
    {
        // validation for constraint: string
        if (!is_null($peso) && !is_string($peso)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($peso, true), gettype($peso)), __LINE__);
        }
        $this->peso = $peso;
        return $this;
    }
    /**
     * Get pressaoMaxima value
     * @return string|null
     */
    public function getPressaoMaxima()
    {
        return $this->pressaoMaxima;
    }
    /**
     * Set pressaoMaxima value
     * @param string $pressaoMaxima
     * @return \StructType\ResultadoExamesFichaClinicaWsVo
     */
    public function setPressaoMaxima($pressaoMaxima = null)
    {
        // validation for constraint: string
        if (!is_null($pressaoMaxima) && !is_string($pressaoMaxima)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pressaoMaxima, true), gettype($pressaoMaxima)), __LINE__);
        }
        $this->pressaoMaxima = $pressaoMaxima;
        return $this;
    }
    /**
     * Get pressaoMinima value
     * @return string|null
     */
    public function getPressaoMinima()
    {
        return $this->pressaoMinima;
    }
    /**
     * Set pressaoMinima value
     * @param string $pressaoMinima
     * @return \StructType\ResultadoExamesFichaClinicaWsVo
     */
    public function setPressaoMinima($pressaoMinima = null)
    {
        // validation for constraint: string
        if (!is_null($pressaoMinima) && !is_string($pressaoMinima)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pressaoMinima, true), gettype($pressaoMinima)), __LINE__);
        }
        $this->pressaoMinima = $pressaoMinima;
        return $this;
    }
    /**
     * Get temperatura value
     * @return string|null
     */
    public function getTemperatura()
    {
        return $this->temperatura;
    }
    /**
     * Set temperatura value
     * @param string $temperatura
     * @return \StructType\ResultadoExamesFichaClinicaWsVo
     */
    public function setTemperatura($temperatura = null)
    {
        // validation for constraint: string
        if (!is_null($temperatura) && !is_string($temperatura)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($temperatura, true), gettype($temperatura)), __LINE__);
        }
        $this->temperatura = $temperatura;
        return $this;
    }
    /**
     * Get textoLivreSinaisVitais value
     * @return string|null
     */
    public function getTextoLivreSinaisVitais()
    {
        return $this->textoLivreSinaisVitais;
    }
    /**
     * Set textoLivreSinaisVitais value
     * @param string $textoLivreSinaisVitais
     * @return \StructType\ResultadoExamesFichaClinicaWsVo
     */
    public function setTextoLivreSinaisVitais($textoLivreSinaisVitais = null)
    {
        // validation for constraint: string
        if (!is_null($textoLivreSinaisVitais) && !is_string($textoLivreSinaisVitais)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($textoLivreSinaisVitais, true), gettype($textoLivreSinaisVitais)), __LINE__);
        }
        $this->textoLivreSinaisVitais = $textoLivreSinaisVitais;
        return $this;
    }
}
